Bug 2383 - gnupg2 was updated to 2.0.20 version
: gnupg2 was updated to 2.0.20 version
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 15:09 MSD by Alexander Burmashev
Modified: 2013-08-01 12:40 MSD (History)
2 users (show)

See Also:
RPM Package: gnupg2
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2013-07-26 15:09:43 MSD
gnupg2 was updated to 2.0.20 version
Comment 1 Alexander Burmashev 2013-07-26 15:10:48 MSD
Advisory:
gnupg2 was updated to 2.0.20 version
Changelog
2.0.20
 * Decryption using smartcards keys > 3072 bit does now work.

 * New meta option ignore-invalid-option to allow using the same
   option file by other GnuPG versions.

 * gpg: The hash algorithm is now printed for sig records in key listings.

 * gpg: Skip invalid keyblock packets during import to avoid a DoS.

 * gpg: Correctly handle ports from DNS SRV records.

 * keyserver: Improve use of SRV records

 * gpg-agent: Avoid tty corruption when killing pinentry.

 * scdaemon: Improve detection of card insertion and removal.

 * scdaemon: Rename option --disable-keypad to --disable-pinpad.

 * scdaemon: Better support for CCID readers.  Now, the internal CCID
   driver supports readers without the auto configuration feature.

 * scdaemon: Add pinpad input for PC/SC, if your reader has pinpad and
   it supports variable length PIN input, and you specify
   --enable-pinpad-varlen option.

 * scdaemon: New option --enable-pinpad-varlen.

 * scdaemon: Install into libexecdir to avoid accidental execution
   from the command line.

 * Support building using w64-mingw32.

 * Assorted bug fixes.
2.0.19
 * GPG now accepts a space separated fingerprint as a user ID.  This
   allows to copy and paste the fingerprint from the key listing.

 * GPG now uses the longest key ID available.  Removed support for the
   original HKP keyserver which is not anymore used by any site.

 * Rebuild the trustdb after changing the option --min-cert-level.

 * Ukrainian translation.

 * Honor option --cert-digest-algo when creating a cert.

 * Emit a DECRYPTION_INFO status line.

 * Improved detection of JPEG files.


Buildlists:
https://abf.rosalinux.ru/build_lists/1192736
https://abf.rosalinux.ru/build_lists/1192735
Comment 2 Vladimir Potapov 2013-07-29 18:52:24 MSD
The package route to extended testing
Comment 3 Postnikov Dmitry 2013-07-31 17:59:36 MSD
************************
Extended testing report
************************
ested different types of encryption, decryption, etc. No regressions is not revealed. Even a little faster happened encryption. Tested on 4 systems: Gnome32, Gnome64, KDE32, KDE64.
Comment 4 Vladimir Potapov 2013-08-01 05:32:20 MSD
gnupg2-2.0.20-1-rosa2012.1
************************ Advisory **************************
gnupg2 was updated to 2.0.20 version
************************ Changelog *************************
2.0.20
 * Decryption using smartcards keys > 3072 bit does now work.
 * New meta option ignore-invalid-option to allow using the same
   option file by other GnuPG versions.
 * gpg: The hash algorithm is now printed for sig records in key listings.
 * gpg: Skip invalid keyblock packets during import to avoid a DoS.
 * gpg: Correctly handle ports from DNS SRV records.
 * keyserver: Improve use of SRV records
 * gpg-agent: Avoid tty corruption when killing pinentry.
 * scdaemon: Improve detection of card insertion and removal.
 * scdaemon: Rename option --disable-keypad to --disable-pinpad.
 * scdaemon: Better support for CCID readers.  Now, the internal CCID
   driver supports readers without the auto configuration feature.
 * scdaemon: Add pinpad input for PC/SC, if your reader has pinpad and
   it supports variable length PIN input, and you specify
   --enable-pinpad-varlen option.
 * scdaemon: New option --enable-pinpad-varlen.
 * scdaemon: Install into libexecdir to avoid accidental execution
   from the command line.
 * Support building using w64-mingw32.
 * Assorted bug fixes.
2.0.19
 * GPG now accepts a space separated fingerprint as a user ID.  This
   allows to copy and paste the fingerprint from the key listing.
 * GPG now uses the longest key ID available.  Removed support for the
   original HKP keyserver which is not anymore used by any site.
 * Rebuild the trustdb after changing the option --min-cert-level.
 * Ukrainian translation.
 * Honor option --cert-digest-algo when creating a cert.
 * Emit a DECRYPTION_INFO status line.
 * Improved detection of JPEG files.
***************************************************************
QA Verified